List people
curl --request GET \
--url https://api.modem.dev/v1/people \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modem.dev/v1/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modem.dev/v1/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avatarUrl": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"name": "<string>"
},
"displayName": "<string>",
"id": "<string>",
"identities": [
{
"platform": "<string>",
"platformId": "<string>"
}
],
"identityCount": 123,
"isVip": true,
"latestTopic": {
"topicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicTitle": "<string>",
"topicType": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z"
},
"messageCount": 123,
"primaryEmail": "jsmith@example.com",
"sources": [
"<string>"
],
"title": "<string>",
"weeklyActivity": [
123
],
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"page": 123,
"totalCount": 1
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}People
List people
List people with aggregated message statistics across all their platform identities
GET
/
people
List people
Authorizations
Organization API key (modem_…).
Query Parameters
Required range:
x <= 100Minimum string length:
1Available options:
lastSeen, messageCount Available options:
asc, desc Filter by ecosystem tags (OR match)
Minimum string length:
1Filter to people currently associated with this company
Pattern:
^\d+$Was this page helpful?
⌘I